#!/bin/sh

l2tp_config="$PKG_USR_CONF_DIR/l2tp/ipsec_l2tp.conf"
tmp_l2tp_config="/tmp/l2tp_config"

sed '/^$/d' "$l2tp_config" > "$tmp_l2tp_config"

ret=$(grep "ikev2=" "$tmp_l2tp_config")
if [ "x$ret" == "x" ]; then
	echo "    ikev2=never" >> "$tmp_l2tp_config"
fi

sed -i 's/sha2_truncbug=/sha2-truncbug=/g' "$tmp_l2tp_config"

sed -i 's/ike=.*/ike=aes256-sha512,aes256-sha384,aes256-sha256,aes256-sha1,aes256-md5,aes192-sha512,aes192-sha384,aes192-sha256,aes192-sha1,aes192-md5,aes128-sha512,aes128-sha384,aes128-sha256,aes128-sha1,aes128-md5,aes256-sha512;modp1024,aes256-sha384;modp1024,aes256-sha256;modp1024,aes256-sha1;modp1024,aes256-md5;modp1024,aes192-sha512;modp1024,aes192-sha384;modp1024,aes192-sha256;modp1024,aes192-sha1;modp1024,aes192-md5;modp1024,aes128-sha512;modp1024,aes128-sha384;modp1024,aes128-sha256;modp1024,aes128-sha1;modp1024,aes128-md5;modp1024/g' "$tmp_l2tp_config"

echo "" >> "$tmp_l2tp_config"
mv "$tmp_l2tp_config" "$l2tp_config"

# only script updater.
# ${UPDATER_TOOL} -v 602
